All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.models
Class MenuNode

    com.sas.servlet.tbeans.models.MenuNode

All Implemented Interfaces:
  MenuItemNodeInterface, NodeInterface, java.io.Serializable, java.lang.Cloneable, javax.swing.tree.MutableTreeNode, javax.swing.tree.TreeNode

    public class MenuNode

MenuNode extends Node and provides an implementation of MenuNodeInterface

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `RB_KEY`

Fields inherited from class com.sas.servlet.tbeans.models.SimpleMenuItemNode
`LEFT, RIGHT`

Constructor Summary
`MenuNode()` Constructor of MenuNode.
`MenuNode(java.lang.String label)` Constructor of MenuNode
`MenuNode(java.lang.String label, java.lang.String image)` Constructor of MenuNode
`MenuNode(java.lang.String label, java.lang.String image, java.lang.String URL)` Constructor of MenuNode

Method Summary
`void` | `add(javax.swing.tree.MutableTreeNode node, int index)` Adds a child at index.

Methods inherited from class com.sas.servlet.tbeans.models.SimpleMenuItemNode
`getAccessKey, getAlternateText, getBottomLeftImage, getBottomRightImage, getCustomAction, getDisabledImage, getHeight, getHeightPercentage, getImage, getImagePosition, getLabel, getLeftImage, getOnBlur, getOnClick, getOnFocus, getOnKeyDown, getOnKeyPress, getOnKeyUp, getOnMouseDown, getOnMouseOut, getOnMouseOver, getOnMouseUp, getRightImage, getStyleClassPrefix, getStyleClassSuffix, getTabIndex, getTarget, getTitle, getTopLeftImage, getTopRightImage, getURL, getWidth, getWidthPercentage, isEnabled, isWrapped, setAccessKey, setAlternateText, setBottomLeftImage, setBottomRightImage, setCustomAction, setDisabledImage, setEnabled, setHeight, setHeightPercentage, setImage, setImagePosition, setLabel, setLeftImage, setOnBlur, setOnClick, setOnFocus, setOnKeyDown, setOnKeyPress, setOnKeyUp, setOnMouseDown, setOnMouseOut, setOnMouseOver, setOnMouseUp, setRightImage, setStyleClassPrefix, setStyleClassSuffix, setTabIndex, setTarget, setTitle, setTopLeftImage, setTopRightImage, setURL, setWidth, setWidthPercentage, setWrap`

Methods inherited from class com.sas.servlet.tbeans.models.Node
`addItems, getIndex, getNodeExpandedText, getNodeText, getNodeType, getNodeTypes, getObjectData, isExternalUpdateSupported, setExternalUpdateSupported, setNodeExpandedText, setNodeText, setNodeType, setObjectData, toString`

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

See Also:
  Constant Field Values

Constructor Detail

### MenuNode

    public MenuNode()

  Constructor of MenuNode.

### MenuNode

    public MenuNode(java.lang.String label,
                    java.lang.String image,
                    java.lang.String URL)

  Constructor of MenuNode

  Parameters:
    `label` - text label on the MenuNode
    `image` - image to display on MenuNode
    `URL` - URL to associate with MenuNode

### MenuNode

    public MenuNode(java.lang.String label,
                    java.lang.String image)

  Constructor of MenuNode

  Parameters:
    `label` - text label on the MenuNode
    `image` - image to display on the MenuNode

### MenuNode

    public MenuNode(java.lang.String label)

  Constructor of MenuNode

  Parameters:
    `label` - text label on the MenuNode

Method Detail

### add

    public void add(javax.swing.tree.MutableTreeNode node,
                    int index)

  Adds a child at index. A value of -1 for index indicates that the child is to be appended to the child list.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.